Summary: Network Time Protocol utilities
Name: xntp3
Version: 5.93
Release: 4
Copyright: distributable
Group: Networking/Daemons
Source0: ftp://ftp.udel.edu/pub/ntp/xntp3-%{version}.tar.gz
Source1: ntp.conf
Source2: ntp.keys
Source3: xntpd.rc
Patch0: xntp3-5.93a.diff.gz
Patch1: xntp3-5.93b.diff.gz
Patch2: xntp3-5.93c.diff.gz
BuildRoot: /var/tmp/xntp3-root

%description
This package contains utilities and daemons to help synchronize your
computer's time to UTC standard time. It includes ntpdate, a program
similar to rdate, and xntpd, a daemon which adjusts the system time
continuously.

%prep 
%setup -q -n xntp3-%{version}
%patch0 -p1 -b pata
%patch1 -p1 -b patb
%patch2 -p1 -b patc

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--sysconfdir=/etc --bindir='${prefix}/sbin' \
	--host=$RPM_ARCH-redhat-linux
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc
strip $RPM_BUILD_ROOT/usr/sbin/* || :

( cd $RPM_BUILD_ROOT
  mkdir -p ./etc/{ntp,rc.d/init.d}
  install -m644 $RPM_SOURCE_DIR/ntp.conf ./etc/ntp.conf
  install -m600 $RPM_SOURCE_DIR/ntp.keys ./etc/ntp/keys
  touch ./etc/ntp/step-tickers
  install -m755 $RPM_SOURCE_DIR/xntpd.rc ./etc/rc.d/init.d/xntpd
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/ntp.conf
%config /etc/ntp/keys
%ghost %config(missingok) /etc/ntp/step-tickers
%doc html/* NEWS TODO 
/usr/sbin/*
/etc/rc.d/init.d/xntpd

%changelog
* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Thu Aug  6 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.93c.
- implement suggestions from James Youngman <JYoungman@vggas.com>:
-   correct default /etc/ntp/keys 
-   use /etc/ntp/step-tickers for ntpdate hosts

* Sun May 10 1998 Cristian Gafton <gafton@redhat.com>
- start it after named

* Mon May 04 1998 Jeff Johnson <jbj@redhat.com>
- Update to 5.93.

* Mon Feb  2 1998 Jeff Johnson <jbj@jbj.org>
- Fiddles for RH-5.0. Update to xntp3-5.92.

* Mon Feb  2 1998 Jeff Johnson <jbj@jbj.org>
- Fiddles for RH-5.0. Update to xntp3-5.92.

* Sat Oct 18 1997 Manoj Kasichainula <manojk@io.com>
- Initial release for 5.91
